Update a role

Update a role by id.

put
Path parameters
idstringRequired

The role id.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used when creating or updating a Role.

codestring · min: 1Required

The code of the Role.

Example: EXAMPLE
namestring · min: 1Required

The name of the Role.

Example: Example
descriptionstring · nullableOptional

The description of the Role.

Example: Description
tagsstring · nullableOptional

The tags of the Role.

Example: #Example
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

put
/api/v1/roles/{id}

Last updated